package com.framework.mvvm.model.db.converter

import androidx.room.TypeConverter
import org.json.JSONObject

/**
 * JsonObject 与 String 转换器
 */
class JsonConverter {
    @TypeConverter
    fun jsonToString(json: JSONObject?): String? {
        return json?.toString()
    }

    @TypeConverter
    fun stringToJson(string: String?): JSONObject? {
        if (string == null) return null
        return JSONObject("""$string""")
    }
}